New deployment of Parsoid leads to HTML insertion - needs deployed code reversion
Closed, ResolvedPublic

Description

I have edited the page w:cs:Banolo Blahnik and after saving HTML code was left at the page. See this revision: https://cs.wikipedia.org/w/index.php?title=Manolo_Blahnik&oldid=10415532


Version: unspecified
Severity: critical

bzimport added a project: Wikimedia-Site-requests.Via ConduitNov 22 2014, 1:49 AM
bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz49577.
Juandev created this task.Via LegacyJun 14 2013, 12:35 PM
Raymond added a comment.Via ConduitJun 14 2013, 12:56 PM
  • Bug 49573 has been marked as a duplicate of this bug. ***
Ironholds added a comment.Via ConduitJun 14 2013, 1:47 PM

This is occurring fairly widely and I have a lot of reports. Moving it up to highest priority (because frankly something being broken that is already deployed > anything we might /want/ deployed).

Hutchy68 added a comment.Via ConduitJun 14 2013, 2:22 PM

Yes, first time I tried the new VisualEditor. My user page is live and I still left the HTML as an example. Tried a few more times to blank page with VE, it is real ugly. HTML leaks on HTML leaks on HTML leaks with each new save, http://www.mediawiki.org/w/index.php?title=User%3AHutchy68&diff=711244&oldid=711236

ArielGlenn added a comment.Via ConduitJun 14 2013, 2:25 PM

(In reply to comment #3)

Issue started ~ 11:37 UTC today per
https://en.wikipedia.org/w/index.
php?namespace=&tagfilter=visualeditor&title=Special%3ARecentChanges

If that's really accurate *maybe* this has some relevance (posting here in case someone who knows more can do something with it):

Jun 14 11:34:59 cerium puppet-agent[22506]: (/Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-frontend]/Exec[load-new-vcl-file-frontend]) Triggered 'refresh' from 2 events
...
Jun 14 11:34:59 cerium puppet-agent[22506]: (/Stage[main]/Role::Cache::Parsoid/Varnish::Instance[parsoid-backend]/Exec[load-new-vcl-file]) Triggered 'refresh' from 2 events

Ironholds added a comment.Via ConduitJun 14 2013, 2:31 PM

A note; I've just spoken to James F; a fix to this is highest-priority. I'm deeply sorry about this (and think I speak for James and the VE team on that front, too).

gerritbot added a comment.Via ConduitJun 14 2013, 2:45 PM

Related URL: https://gerrit.wikimedia.org/r/68667 (Gerrit Change I267c8ba13a6ec1444010ce996fba05dfcba460fa)

gerritbot added a comment.Via ConduitJun 14 2013, 2:45 PM

Related URL: https://gerrit.wikimedia.org/r/68667 (Gerrit Change I267c8ba13a6ec1444010ce996fba05dfcba460fa)

Ironholds added a comment.Via ConduitJun 14 2013, 2:46 PM

Also note; as you can see from the gerrit change above, it looks like Ariel and James will be temporarily disabling the VE until this is solved for. I'm going to go round and notify people now :)

bzimport added a comment.Via ConduitJun 14 2013, 2:47 PM

ignatus31oct wrote:

(One more example from En-wiki) See this edit (if your traffic is easy, the diff is half-Mb):

http://en.wikipedia.org/w/index.php?title=Russian_grammar&diff=559881732&oldid=558109653

I only wanted to change one section, but after pressing a link everything was opened in VE. Well, I added text to different sections. There were no trouble with it, except that when I tried to type text into ''()'' italicised parentheses leaved by previous editor, when I pushed [BackSpace] at end (wrongly started to type in Cyrillic rather than Latin), first ( was doubled.

When I entered enough and pushed "Save", I was introduced to type in the desc, and to view changes or to save page. I've just read the digest of how good is the VE now and pushed "Save page", but after a time I've seen.........

GWicke added a comment.Via ConduitJun 14 2013, 3:29 PM

It looks like an update to the libraries Parsoid depends on might have caused this issue. It would have been visible in the diff, but since the user is not seeing that by default any more few noticed.

Parsoid is rolled back, so this issue should be fixed.

Jdforrester-WMF added a comment.Via ConduitJun 14 2013, 6:42 PM

To update, this bug was in an overly-keen Operations cacheing server configuration change which broke the caches' responses completely (and corrupted every response to not be what we want).

Sorry everyone for the disruption; we've now found (and killed) this problem, and re-enabled VisualEditor as before.

matmarex added a comment.Via ConduitJun 17 2013, 2:52 PM

It's not, this bug had different symptoms, and that edit doesn't even seem to have been made using VE.

GoEThe added a comment.Via ConduitJun 17 2013, 3:22 PM

It has the VisualEditor tag and was reported in the feedback page http://pt.wikipedia.org/w/index.php?title=Wikip%C3%A9dia%3AEditor_Visual%2FComent%C3%A1rios&diff=36129760&oldid=36054006. Should I open a new bug?

matmarex added a comment.Via ConduitJun 17 2013, 3:40 PM

Ah, sorry, I missed the tag. I think you should; this is certainly something different than what was happening here.

Lydia_Pintscher added a comment.Via ConduitJun 19 2013, 2:40 PM

Did you open a new bug? If so could you please link it? I have someone with a similar issue.

GoEThe added a comment.Via ConduitJun 19 2013, 3:55 PM
Jdforrester-WMF added a comment.Via ConduitJun 23 2013, 4:29 PM
  • Bug 50049 has been marked as a duplicate of this bug. ***

Add Comment